# install these packages into /opt if we have a prefix defined for the
# java packages
%{?java_pkg_prefix: %define _prefix /opt/frysk }
%{?java_pkg_prefix: %define _sysconfdir %{_prefix}/etc }
%{?java_pkg_prefix: %define _localstatedir %{_prefix}/var }
%{?java_pkg_prefix: %define _infodir %{_prefix}/share/info }
%{?java_pkg_prefix: %define _mandir %{_prefix}/share/man }
%{?java_pkg_prefix: %define _defaultdocdir %{_prefix}/share/doc }

%{!?c_pkg_prefix: %define c_pkg_prefix %{nil}}
%{!?java_pkg_prefix: %define java_pkg_prefix %{nil}}

# The prefix for java-gnome package names
%define name_base glib-java
Summary:   Base Library for the Java-GNOME libraries 
Name:      %{java_pkg_prefix}%{name_base}
Version:   0.2.3
Release:   1.2.ML5
URL:       http://java-gnome.sourceforge.net
Source0:   %{name_base}-%{version}.tar.gz
License:   LGPL
Group:     Development/Libraries
BuildRoot: %{_tmppath}/glib-java
# try to make build
#ExcludeArch: s390x

Requires: 	/sbin/ldconfig
Requires: 	%{c_pkg_prefix}glib2 >= 2.7.0
BuildRequires:  java-devel >= 1.4.2 %{c_pkg_prefix}glib2-devel >= 2.7.0
BuildRequires:  gcc-java >= 3.3.3, docbook-utils
BuildRequires: 	pkgconfig

%description 
Glib-java is a base framework for the Java-GNOME libraries. Allowing the use of
GNOME through Java.

%package        devel
Summary:        Compressed Java source files for %{name}.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
Compressed Java source for %{name}. This is useful if you are developing
applications with IDEs like Eclipse.



%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name_base}-%{version}


%build
# if either the C or Java packages has a prefix declared, then we will
# add /opt/frysk/lib/pkgconfig to the pkgconfig path
if  [  'x%{java_pkg_prefix}' != 'x' ] || [ 'x%{c_pkg_prefix}' != 'x' ]; then
	export PKG_CONFIG_PATH=/opt/frysk/lib/pkgconfig
fi

%configure 

# FIXME: find a better solution for this
sed -i 's/^pic_flag=\"\"/pic_flag=\"\ \-fPIC\"/' libtool
sed -i 's/^compiler_c_o=\"no\"/compiler_c_o=\"yes\"/' libtool

make

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name_base} | cut -d - -f 1 | sed "s/^lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
zip -9 -r $zipfile $(find -name \*.java)
popd


%install
rm -rf $RPM_BUILD_ROOT

make  DESTDIR=$RPM_BUILD_ROOT  install 

# rename doc dir to reflect package rename, if the names differ
if [ 'x%{name_base}' != 'x%{name}' ] ; then
	mv $RPM_BUILD_ROOT%{_docdir}/%{name_base}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
fi

# install the src zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name_base} | cut -d - -f 1 | sed "s/^lib//")
install -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_datadir}/java/
pushd $RPM_BUILD_ROOT%{_datadir}/java
ln -sf $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig 
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc doc/api AUTHORS ChangeLog COPYING INSTALL NEWS README 
%dir %{_includedir}/%{name_base}
%{_includedir}/%{name_base}/*
%{_libdir}/*so*
%{_libdir}/*la
%{_libdir}/pkgconfig/*
%{_datadir}/java/*.jar
%dir %{_datadir}/%{name_base}
%{_datadir}/%{name_base}/*

%files devel
%defattr(-,root,root)
%{_datadir}/java/*.zip

%changelog
* Sun Mar 12 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.2.3-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.2.3-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 30 2006 Adam Jocksch <ajocksch@redhat.com>
- bumped version to 0.2.3, updated tarball.

* Thu Dec 22 2005 Adam Jocksch <ajocksch@redhat.com>
- bumped version to 0.2.2, updated tarball.

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> 0 9.2.1-3.5
- rebuilt

* Tue Dec 13 2005 Jesse Keating <jkeating@redhat.com>
- retry s390x as others require it on that platform

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Dec 09 2005 Igor Foox <ifoox@rehdat.com> - 0.2.1-3
- Version bump to rebuild for gcc4.1 update.

* Wed Oct 26 2005 Igor Foox <ifoox@rehdat.com> - 0.2.1-2
- Excluded s390x, since it fails for random reasons.

* Wed Oct 26 2005 Igor Foox <ifoox@rehdat.com> - 0.2.1-1
- Imported released 0.2.1 version from upstream.

* Wed Oct 05 2005 Igor Foox <ifoox@rehdat.com> - 0.2.0-5
- Imported released 0.2.0 version from upstream.

* Mon Sep 19 2005 Igor Foox <ifoox@redhat.com> - 0.2-2
- Added to rawhide.
